Bug 187735 - fedora-abiword.desktop uses wrong mime type for MS Word files
fedora-abiword.desktop uses wrong mime type for MS Word files
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 07:56 EDT by Levin Fritz
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-07 05:30:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
make /home/levin/fedora-abiword.desktop.patch use the correct mime type for MS Word documents (1.10 KB, patch)
2006-04-03 07:56 EDT, Levin Fritz
no flags Details | Diff

  None (edit)
Description Levin Fritz 2006-04-03 07:56:21 EDT
Description of problem:
The MimeType= line in /usr/share/applications/fedora-abiword.desktop mentions
"application/vnd.ms-word", but not "application/msword". Therefore,
double-clicking an MS Word document (*.doc file) in nautilus does not open
abiword, even if abiword is the only word processor installed.

Version-Release number of selected component (if applicable):
abiword-2.4.2-7.fc5
shared-mime-info-0.17-1.fc5.1
nautilus-2.14.0-1

How reproducible:
Always.

Steps to Reproduce:
1. Make sure abiword is installed, but no other word processor.
2. Double-click on a MS Word document in nautilus.
  
Actual results:
A dialog with an error message like the following is displayed:
  Couldn't display "/home/levin/foo.doc".

Expected results:
The file is opened in abiword.

Additional info:
As far as I can tell, the correct file type for MS Word documents is
"application/msword" (see here:
http://www.iana.org/assignments/media-types/application/msword). This is also
what /usr/share/mime/packages/freedesktop.org.xml assigns to *.doc files. After
I replaced "application/vnd.ms-word" with "application/msword" in
/usr/share/applications/fedora-abiword.desktop and ran
# update-desktop-database -q /usr/share/applications
, nautilus opened word documents with abiword. I've attached a path with this
change, although it's kinda trivial.
Comment 1 Levin Fritz 2006-04-03 07:56:21 EDT
Created attachment 127229 [details]
make /home/levin/fedora-abiword.desktop.patch use the correct mime type for MS Word documents
Comment 2 Marc Maurer 2006-04-07 05:30:24 EDT
Thanks, fixed upstream; will be in the next release.

Note You need to log in before you can comment on or make changes to this bug.